classification
Title: test_posix, test_pty crash under Windows
Type: behavior Stage: resolved
Components: Tests, Windows Versions: Python 3.1, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: r.david.murray Nosy List: benjamin.peterson, pitrou, r.david.murray
Priority: high Keywords: patch

Created on 2009-04-19 23:08 by pitrou, last changed 2009-04-22 02:26 by r.david.murray. This issue is now closed.

Files
File name Uploaded Description Edit
issue5796.patch r.david.murray, 2009-04-21 01:07
Messages (5)
msg86186 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2009-04-19 23:08
This seems related to the import behaviour changes in regrtest.

Re-running test 'test_posix' in verbose mode
test test_posix crashed -- <type 'exceptions.ImportError'>: No module
named pwd
Traceback (most recent call last):
  File "../lib/test/regrtest.py", line 569, in runtest_inner
    the_package = __import__(abstest, globals(), locals(), [])
  File
"E:\cygwin\home\db3l\buildarea\trunk.bolen-windows\build\lib\test\test_posix.py",
line 8, in <module>
    import pwd
ImportError: No module named pwd
Re-running test 'test_pty' in verbose mode
test test_pty crashed -- <type 'exceptions.ImportError'>: No module
named fcntl
Traceback (most recent call last):
  File "../lib/test/regrtest.py", line 569, in runtest_inner
    the_package = __import__(abstest, globals(), locals(), [])
  File
"E:\cygwin\home\db3l\buildarea\trunk.bolen-windows\build\lib\test\test_pty.py",
line 2, in <module>
    import fcntl
ImportError: No module named fcntl

http://www.python.org/dev/buildbot/trunk.stable/x86%20XP-4%20trunk/builds/2056/step-test/0
msg86215 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2009-04-21 01:07
Patch attached.  Can you test this for me or should I apply it and wait
to see if the buildbot passes?
msg86218 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2009-04-21 02:46
I think you should apply it. You can always change it if it doesn't work.
msg86229 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2009-04-21 13:06
Applied in r71785.
msg86267 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2009-04-22 02:26
x86 XP-4 trunk buildbot showed correct skip for these tests.  Ported to
py3k in r71792.
History
Date User Action Args
2009-04-22 02:26:53r.david.murraysetstatus: open -> closed
resolution: fixed
messages: + msg86267

stage: patch review -> resolved
2009-04-21 13:06:42r.david.murraysetmessages: + msg86229
2009-04-21 02:46:09benjamin.petersonsetnosy: + benjamin.peterson
messages: + msg86218
2009-04-21 01:07:06r.david.murraysetfiles: + issue5796.patch
messages: + msg86215

keywords: + patch
type: crash -> behavior
stage: needs patch -> patch review
2009-04-19 23:08:37pitroucreate